View Issue Details

IDProjectCategoryView StatusLast Update
0001971GNUnetATS servicepublic2012-02-28 11:05
ReporterChristian GrothoffAssigned ToMatthias Wachs 
PriorityimmediateSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version0.9.0 
Target Version0.9.2Fixed in Version 
Summary0001971: LP-based ATS is not implemented
DescriptionThis should be the key feature for 0.9.2.
TagsNo tags attached.

Relationships

related to 0001941 confirmed WLAN should report performance metrics to ATS 
related to 0001935 confirmed DV's bandwidth allocation is not really working as-is 
related to 0001923 confirmed SMTP transport plugin should be (re-)implemented 
related to 0001540 closed Intelligent resource usage 
parent of 0001990 closedMatthias Wachs Implement WAN/LAN detection in plugins 
parent of 0001991 closedMatthias Wachs Implement storing addresses for LAN/WAN detection 

Activities

Matthias Wachs

2012-01-20 15:41

manager   ~0005320

Last edited: 2012-02-22 09:59

View 4 revisions

Implementation is work in progress

Work done:

- Framework for MLP implemented
ATS service addresses integration
- MLP functionality implemented
MLP problem creation
MLP matrix creation and loading
Address problem updating
problem solving and result analysis
Propagate MLP results to peers

- Basic testing
New address, address updating, multiple addresses

Matthias Wachs

2012-02-22 10:01

manager   ~0005490

Implemented with rev 19835

Issue History

Date Modified Username Field Change
2011-12-01 09:59 Christian Grothoff New Issue
2011-12-01 09:59 Christian Grothoff Status new => assigned
2011-12-01 09:59 Christian Grothoff Assigned To => Matthias Wachs
2011-12-08 16:53 Christian Grothoff Relationship added parent of 0001990
2011-12-08 16:55 Christian Grothoff Relationship added parent of 0001991
2011-12-08 16:57 Christian Grothoff Relationship added related to 0001941
2011-12-08 16:58 Christian Grothoff Relationship added related to 0001935
2011-12-08 16:58 Christian Grothoff Relationship added related to 0001923
2011-12-08 16:59 Christian Grothoff Relationship added related to 0001540
2011-12-19 14:19 Christian Grothoff Target Version 0.9.1 => 0.9.2
2011-12-19 14:19 Christian Grothoff Description Updated View Revisions
2012-01-19 18:07 Matthias Wachs Status assigned => acknowledged
2012-01-20 15:41 Matthias Wachs Note Added: 0005320
2012-02-21 21:50 Christian Grothoff Status acknowledged => assigned
2012-02-22 09:40 Matthias Wachs Note Edited: 0005320 View Revisions
2012-02-22 09:44 Matthias Wachs Note Edited: 0005320 View Revisions
2012-02-22 09:59 Matthias Wachs Note Edited: 0005320 View Revisions
2012-02-22 10:01 Matthias Wachs Note Added: 0005490
2012-02-22 10:01 Matthias Wachs Status assigned => resolved
2012-02-22 10:01 Matthias Wachs Resolution open => fixed
2012-02-28 11:05 Christian Grothoff Status resolved => closed